#
# spec file for package hindent
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name hindent
%bcond_with tests
Name:           %{pkg_name}
Version:        5.2.7
Release:        1.1
Summary:        Extensible Haskell pretty printer
License:        BSD-3-Clause
Group:          Development/Tools/Other
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  chrpath
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-haskell-src-exts-devel
BuildRequires:  ghc-monad-loops-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-path-devel
BuildRequires:  ghc-path-io-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unix-compat-devel
BuildRequires:  ghc-utf8-string-devel
BuildRequires:  ghc-yaml-devel
%if %{with tests}
BuildRequires:  ghc-Diff-devel
BuildRequires:  ghc-hspec-devel
%endif

%description
Extensible Haskell pretty printer. Both a library and an executable.

See the Github page for usage/explanation:
<https://github.com/commercialhaskell/hindent>.

%package -n ghc-%{name}
Summary:        Haskell %{name} library
Group:          System/Libraries

%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.

%package -n ghc-%{name}-devel
Summary:        Haskell %{name} library development files
Group:          Development/Libraries/Haskell
Requires:       ghc-%{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development files.

%prep
%setup -q

%build
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_rpath %{pkg_name}-%{version}

%check
%cabal_test

%post -n ghc-%{name}-devel
%ghc_pkg_recache

%postun -n ghc-%{name}-devel
%ghc_pkg_recache

%files
%license LICENSE.md
%doc CHANGELOG.md README.md
%{_bindir}/%{name}
%dir %{_datadir}/%{name}-%{version}
%dir %{_datadir}/%{name}-%{version}/elisp
%{_datadir}/%{name}-%{version}/elisp/hindent.el

%files -n ghc-%{name} -f ghc-%{name}.files
%license LICENSE.md

%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Mon Jul  9 2018 psimons@suse.com
- Update hindent to version 5.2.7.
  5.2.7:
  * Fix -X option bug
  5.2.6:
  * Switch to optparse-applicative
* Thu Apr 12 2018 psimons@suse.com
- Update hindent to version 5.2.5.
  A more detailed change log is not available.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Thu May 18 2017 psimons@suse.com
- Update to version 5.2.3 with cabal2obs.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 5.2.2 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 4.6.4 revision 3 with cabal2obs.
* Sun Aug 21 2016 psimons@suse.com
- Update to version 4.6.4 revision 2 with cabal2obs.
* Wed Aug 17 2016 psimons@suse.com
- Update to version 4.6.4 revision 1 with cabal2obs.
* Fri Jul 22 2016 psimons@suse.com
- Update to version 4.6.4 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 4.6.3 revision 0 with cabal2obs.
